Package: groovy.sql

## [Java] Class BatchingPreparedStatementWrapper

- groovy.sql.BatchingPreparedStatementWrapper

-     public class BatchingPreparedStatementWrapper
      extends BatchingStatementWrapper

  Class which delegates to a PreparedStatement but keeps track of a batch count size. If the batch count reaches the predefined number, this Statement does an executeBatch() automatically. If batchSize is zero, then no batching is performed.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BatchingStatementWrapper` | `batchCount, batchSize, log, results`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BatchingPreparedStatementWrapper(PreparedStatement delegate, List<Tuple> indexPropList, int batchSize, Logger log, Sql sql)` Creates a batching wrapper for a prepared statement.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addBatch(Object[] parameters)` Adds one parameter set to the batch using varargs-style arguments.
    `` | `public void` | `addBatch(List<Object> parameters)` Adds one parameter set to the batch.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BatchingStatementWrapper` | `addBatch, addBatch, clearBatch, close, executeBatch, incrementBatchCount, invokeMethod, processResult, reset`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public BatchingPreparedStatementWrapper(PreparedStatement delegate, List<Tuple> indexPropList, int batchSize, Logger log, Sql sql)

      Creates a batching wrapper for a prepared statement.

      Parameters:
        `delegate` - the prepared statement to wrap
        `indexPropList` - indexed-property descriptors for named-parameter batches, or `null`
        `batchSize` - the automatic execution threshold; `0` disables automatic partitioning
        `log` - the logger to use for batch diagnostics
        `sql` - the owning Sql instance used to bind parameters

  - ### Method Detail

    - #### public void addBatch(Object[] parameters)

      Adds one parameter set to the batch using varargs-style arguments.

      throws:
        SQLException if the batch entry cannot be added
      Parameters:
        `parameters` - the parameter values for a single batch entry

    - #### public void addBatch(List<Object> parameters)

      Adds one parameter set to the batch.

      When the associated SQL uses named or named-ordinal parameters, the supplied values are first flattened into JDBC positional order.

      throws:
        SQLException if the parameters cannot be bound or the batch entry cannot be added
      Parameters:
        `parameters` - the parameter values for a single batch entry